Subject: Re: [PULL] Networking for v6.3

From: Jakub Kicinski <[email-masked]>
Date: Wed, 22 Feb 2023 11:33:34 -0800

On Wed, 22 Feb 2023 20:07:21 +0100 Alexander Lobakin wrote:
> > I suspect it would be as simple as adding a
> > 
> >         depends on ICE != n
> > 
> > to that thing, but I didn't get around to testing that. I thought it
> > would be better to notify the guilty parties.  
> 
> Patch is on its way already, it just drops the opt and uses CONFIG_GNSS
> directly.

You got me slightly worried now. The overall idea of using Kconfig 
to resolve the dependency and compile out the entire file was right.
Are you planing to wrap the entire source in IS_REACHABLE() ?